curl
curl -X POST "https://api.cotizave.com/v2/fx/convert" \
-H "X-API-Key: $COTIZAVE_API_KEY" \
-H "Content-Type: application/json" \
--data '{"conversions":[{"from":"USD","to":"COP","amount":100,"via":"co-trm"},{"from":"USD","to":"VES","amount":50,"via":"ve-nada"}]}'
{
"count": 2,
"succeeded": 1,
"failed": 1,
"results": [
{
"index": 0,
"conversion": {
"from": {
"currency": "USD",
"amount": 100
},
"to": {
"currency": "COP",
"amount": 390012
},
"rate": 3900.12,
"via": "co-trm",
"type": "reference",
"updated_at": "2026-10-25T00:00:00Z",
"staleness_sec": 43200,
"stale": false,
"market": "co_trm"
}
},
{
"index": 1,
"error": {
"code": "rate_not_found",
"message": "No rate is available for this conversion.",
"field": "via"
}
}
]
}
results contains either conversion or error.